﻿/*******************************************************
Sakaiden Class
********************************************************
Name:SkdXMLLoad
Created By:CaptainHansode

イメージをランダムで読み込む

こちらのサイト様から一部拝借しています
ありがとうございます
http://blog.alt-scape.com/archives/234


*******************************************************/

///////////////////////////////////////////////////
//まずはこのクラスのパス
//
package sakaiden
{
///////////////////////////////////////////////////
//必要なクラスを取得しておく
//必要じゃないものも混じっているぞ、きっと
import flash.system.Security;
import flash.display.Loader;
import flash.display.LoaderInfo;

import flash.display.*;
import flash.events.*;
import flash.net.*;
import flash.net.URLLoader;
import flash.net.URLRequest;
import flash.text.TextField;
import flash.text.TextFormat;

	///////////////////////////////////////////////////
	//次にクラス
	//これはスプライトのサブクラス
	public class SkdXMLLoad extends Sprite
	{
		
		///////////////////////////////////////////////////
		//コンストラクタ
		//
		//引数は、XMLのURL

		public function SkdXMLLoad	(
									  in_myURL:String = "http://www.sakaiden.com/?feed=rss2",
									  in_linkURL:String = "http://www.sakaiden.com",
									  in_height:Number = 550,
									  in_width:Number = 400,
									  in_x:Number = 0,
									  in_y:Number = 0,
									  in_color:uint = 0x000000,
									  in_size:Number = 12
									)							
		{
			
			//引数から代入
			myUrl = in_myURL;
			linkUrl = in_linkURL;
			
			//コレはテキストの設定
			texHeight = in_height;
			texWidth = in_width;
			texX = in_x;
			texY = in_y;
			texColor = in_color;
			texSize = in_size;
			
		};//constructor end
		
		///////////////////////////////////////////////////
		//プロパティを設定
		//変数をいろいろと準備しておく
		//
		public var myUrl:String;
		public var linkUrl:String;
		
		//フォントの設定なども使えるように
		public var texHeight:Number;
		public var texWidth:Number;
		public var texX:Number;
		public var texY:Number;
		public var texColor:uint;
		public var texSize:Number;
		
		
		private var bodyStr:String = "";


		//xml読み込みよう
		private var xmlLoader:URLLoader = new URLLoader();
		private var xmlData:XML;
		
		
		
		///////////////////////////////////////////////////
		//メソッド	
		
		
		///////////////////////////////////////////////////
		//実際に読み込みを行う
		//
		public function getXML():void
		{
			
			//xmlを取得
			var xmlStr:String = myUrl;
			
			//指定のURLから読み込み
			//この段階でxmlの読み込みは終わり
			xmlLoader.load(new URLRequest(xmlStr));
			
			//読み込み終わったらファンクションを実行
			xmlLoader.addEventListener(Event.COMPLETE, loaded);
			
			trace("読み込み終わり")

			return;
		};//fn end
		
		
		
		///////////////////////////////////////////////
		//これが読み込み後に実行する内容
		private function loaded(e:Event):void
		{
		
			//変数からデータを取り出す
			//XMLのデータを変数に格納する
			xmlData = XML(xmlLoader.data);
			
			//対象は配列になっている
			bodyStr = String(xmlData.channel.item[1].description);
		
			//それぞれをプリントしてみる
			trace(bodyStr);
			
			
			///////////////////////////////////////////////////
			//テキスト周り
			//手順は、テキストフィールドを作る、
			//テキストのフォーマットを作る
			//テキストのフォーマットをテキストフィールドに適応する
			
			////////////////////////////////////////
			//テキストインスタンスを作成
			var myText:TextField = new TextField();
			
			//そのテキストに発言を代入
			myText.text = bodyStr;
			
			//テキストの見た目を設定
			//これはテキストフィールドの設定
			myText.height = texHeight;
			myText.width = texWidth
			myText.textColor = texColor;
			myText.x = texX;
			myText.y = texY;
			
			////////////////////////////////////////
			//テキストのフォーマットを作る
			var myFormat:TextFormat = new TextFormat();
			//フォーマットのサイズを決めておく
			myFormat.size = texSize;
			//リンクのURLは設定したプロパティより
			myFormat.url = linkUrl;
			//フォーマットを適応する
			myText.setTextFormat(myFormat);
			
			//表示
			addChild(myText);
			
			return;
			
		}//fn end	


	};//public end
};//class end